import unittest
from src.usecases.assembly_to_pddl_use_case import AssemblyToPddlUseCase
from src.model.asm4_structure import Asm4Structure

from helper.fs import FS
import os


mock = FS.readJSON(
    os.path.dirname(os.path.realpath(__file__)) + "/mocks/step-mock.json"
)
# assembly навык


assemblyToPddl = AssemblyToPddlUseCase.call(assembly=mock, rootLabel=mock[0])


class TestStringMethods(unittest.TestCase):
    def test_problem(self):
        print(assemblyToPddl["problem"])
        self.assertIsInstance(assemblyToPddl["problem"], str)

    def test_domain(self):
        self.assertIsInstance(assemblyToPddl["domain"], str)


if __name__ == "__main__":
    unittest.main()


# part_of определяет к какой подсборке относится деталь
# assembly определяет зоны
#
